package com.prolog.cs.biz.inbound.model.rqc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2021-05-20
 */

@ApiModel
@Table(value = "wms_in_rqc_sample", appendDefaultJdbcType = true, camelToUnderline = true)
public class WmsInRqcSample extends BaseModel implements Serializable {
	private static final long serialVersionUID = 833350767262212824L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	/** 抽检主键id(雪花) **/
	@ApiModelProperty(value = "抽检主键id(雪花)")
	private String rqcSampleId;

	/** 收货单头id **/
	@ApiModelProperty(value = "收货单头id")
	private String rcvHeaderId;

	/** 收货行id **/
	@ApiModelProperty(value = "收货行id")
	private String rcvLineId;

	/** 质检行id **/
	@ApiModelProperty(value = "质检行id")
	private String rqcLineId;

	/** 质检头id **/
	@ApiModelProperty(value = "质检头id")
	private String rqcHeaderId;

	/** 货主id **/
	@ApiModelProperty(value = "货主id")
	private String mtlOwnerId;

	/** 仓库id **/
	@ApiModelProperty(value = "仓库id")
	private String warehouseId;

	/** 来源单类型 **/
	@ApiModelProperty(value = "来源单类型")
	private String srcBillType;

	/** 来源行id **/
	@ApiModelProperty(value = "来源行id")
	private String srcLineId;

	/** 来源头id **/
	@ApiModelProperty(value = "来源头id")
	private String srcHeaderId;

	/** asn头id **/
	@ApiModelProperty(value = "asn头id")
	private String asnHeaderId;

	/** asn行id **/
	@ApiModelProperty(value = "asn行id")
	private String asnLineId;

	/** 商品id **/
	@ApiModelProperty(value = "商品id")
	private String itemId;

	/** 批次id **/
	@ApiModelProperty(value = "批次id")
	private String batchId;

	/** 包装单位 **/
	@ApiModelProperty(value = "包装单位")
	private String uom;

	/** 商品最小单位总数量 **/
	@ApiModelProperty(value = "商品最小单位总数量")
	private BigDecimal pieceQty;

	/** 包装含量 **/
	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;

	/** 整件数(包装单位) **/
	@ApiModelProperty(value = "整件数(包装单位)")
	private BigDecimal oddCaseQty;

	/** 零散数 **/
	@ApiModelProperty(value = "零散数")
	private BigDecimal oddPieceQty;

	/** 抽样整件数 **/
	@ApiModelProperty(value = "抽样整件数")
	private BigDecimal qcOddCaseQty;

	/** 抽样零散数 **/
	@ApiModelProperty(value = "抽样零散数")
	private BigDecimal qcOddPieceQty;

	/** 抽样实际整件数 **/
	@ApiModelProperty(value = "抽样实际整件数")
	private BigDecimal qcOddCaseActQty;

	/** 抽检实际零散 **/
	@ApiModelProperty(value = "抽检实际零散")
	private BigDecimal qcOddPieceActQty;

	/** 备注说明 **/
	@ApiModelProperty(value = "备注说明")
	private String remark;

	/** 抽样时间 **/
	@ApiModelProperty(value = "抽样时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date sampleDate;

	/** 批次号 **/
	@ApiModelProperty(value = "批次号")
	private String batchNum;

	/** 货主编号 **/
	@ApiModelProperty(value = "货主编号")
	private String mtlOwnerCode;

	/** 仓库编号 **/
	@ApiModelProperty(value = "仓库编号")
	private String warehouseCode;

	/** 商品编号 **/
	@ApiModelProperty(value = "商品编号")
	private String itemCode;

	/** 商品批号 **/
	@ApiModelProperty(value = "商品批号")
	private String manufacturerLotNum;

	/** 抽样人 **/
	@ApiModelProperty(value = "抽样人")
	private String sampleBy;

	/** 质检任务池ID（来源RQC_TASK） **/
	@ApiModelProperty(value = "质检任务池ID（来源RQC_TASK）")
	private String taskRqcId;

	public String getTaskRqcId() {
		return taskRqcId;
	}

	public void setTaskRqcId(String taskRqcId) {
		this.taskRqcId = taskRqcId;
	}

	public String getRqcSampleId() {
		return rqcSampleId;
	}

	public void setRqcSampleId(String rqcSampleId) {
		this.rqcSampleId = rqcSampleId;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return this.rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getRqcLineId() {
		return this.rqcLineId;
	}

	public void setRqcLineId(String rqcLineId) {
		this.rqcLineId = rqcLineId;
	}

	public String getRqcHeaderId() {
		return this.rqcHeaderId;
	}

	public void setRqcHeaderId(String rqcHeaderId) {
		this.rqcHeaderId = rqcHeaderId;
	}

	public String getMtlOwnerId() {
		return this.mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getSrcBillType() {
		return this.srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getSrcLineId() {
		return this.srcLineId;
	}

	public void setSrcLineId(String srcLineId) {
		this.srcLineId = srcLineId;
	}

	public String getSrcHeaderId() {
		return this.srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getAsnHeaderId() {
		return this.asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return this.asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getItemId() {
		return this.itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchId() {
		return this.batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getUom() {
		return this.uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public BigDecimal getPieceQty() {
		return this.pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public BigDecimal getConversionRate() {
		return this.conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public BigDecimal getOddCaseQty() {
		return this.oddCaseQty;
	}

	public void setOddCaseQty(BigDecimal oddCaseQty) {
		this.oddCaseQty = oddCaseQty;
	}

	public BigDecimal getOddPieceQty() {
		return this.oddPieceQty;
	}

	public void setOddPieceQty(BigDecimal oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public BigDecimal getQcOddCaseQty() {
		return this.qcOddCaseQty;
	}

	public void setQcOddCaseQty(BigDecimal qcOddCaseQty) {
		this.qcOddCaseQty = qcOddCaseQty;
	}

	public BigDecimal getQcOddPieceQty() {
		return this.qcOddPieceQty;
	}

	public void setQcOddPieceQty(BigDecimal qcOddPieceQty) {
		this.qcOddPieceQty = qcOddPieceQty;
	}

	public BigDecimal getQcOddCaseActQty() {
		return this.qcOddCaseActQty;
	}

	public void setQcOddCaseActQty(BigDecimal qcOddCaseActQty) {
		this.qcOddCaseActQty = qcOddCaseActQty;
	}

	public BigDecimal getQcOddPieceActQty() {
		return this.qcOddPieceActQty;
	}

	public void setQcOddPieceActQty(BigDecimal qcOddPieceActQty) {
		this.qcOddPieceActQty = qcOddPieceActQty;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getSampleDate() {
		return this.sampleDate;
	}

	public void setSampleDate(Date sampleDate) {
		this.sampleDate = sampleDate;
	}

	public String getBatchNum() {
		return this.batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getMtlOwnerCode() {
		return this.mtlOwnerCode;
	}

	public void setMtlOwnerCode(String mtlOwnerCode) {
		this.mtlOwnerCode = mtlOwnerCode;
	}

	public String getWarehouseCode() {
		return this.warehouseCode;
	}

	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}

	public String getItemCode() {
		return this.itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getManufacturerLotNum() {
		return this.manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getSampleBy() {
		return this.sampleBy;
	}

	public void setSampleBy(String sampleBy) {
		this.sampleBy = sampleBy;
	}

}
